Subject: [Openpgp-dt] simplifying v5 signatures: needs review! [was: Re: OpenPGP DT Meeting Notes from 2021-12-22 ]

From: Daniel Kahn Gillmor <[email-masked]>
Date: Thu, 13 Jan 2022 00:37:11 -0500

The OpenPGP DT minutes from 2021-12-22 included:
> ## !86 and !85 (mutually exclusive, both have approval and thumbsdown)
> https://gitlab.com/openpgp-wg/rfc4880bis/-/merge_requests/85 - suggests dropping v5 sigs
> https://gitlab.com/openpgp-wg/rfc4880bis/-/merge_requests/86 - suggests a way to fix v5 sigs
> 	possibly coupled with https://gitlab.com/openpgp-wg/rfc4880bis/-/merge_requests/91 
> related issue: https://gitlab.com/openpgp-wg/rfc4880bis/-/issues/49 
>
> Action: DKG rewrite 86 to be three steps: remove v5 signatures; deprecate literal packet metadata; reintroduce v5 signatures with just the updated counters; and then Justus will rebase 91 based on 86; we will close 85

I think this is all done (and indeed was done a couple weeks ago) but i
haven't seen any review.  I think it is advisable to address #49 before
a new draft is released.

If !86 does not represent a change that folks are comfortable with based
on what we discussed, please give feedback and explain what's
missing. If it looks good to you, please approve!

I'd appreciate any review.

    --dkg